Множественные уязвимости в MyBB

Дата публикации:
05.01.2006
Дата изменения:
24.03.2009
Всего просмотров:
2423
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-0218
CVE-2006-0219
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MyBB (formerly MyBulletinBoard) 1.x
Уязвимые версии: MyBB 1.01 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в поле "message". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта, если сообщение просматривается с помощью сценария "printthread.php".

2. Уязвимость существует при обработке расширений загружаемых файлов. Удаленный пользователь может с помощью специально сформированного имени файла выполнить произвольные SQL команды в базе данных приложения. Удачная эксплуатация уязвимости возможна при выключенной опции "magic_quotes_gpc".

URL производителя: www.mybboard.com

Решение: Установите последнюю версию с сайта производителя.

Источник:

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: MyBB 1.0 SQL injection in uploading file

или введите имя

CAPTCHA